get
https://api.ol-hub.com/backend/api/v1/projects
The get all projects API sends a GET request to retrieve the project ids of all projects.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Prerequisites: none
Input parameters: none
Output parameters:
| Field name | Description | Format |
|---|---|---|
| elements | Container - see below | ProjectDto |
| total | Total number of projects retrieved | Integer |
ProjectDto:
| Field name | Description | Format |
|---|---|---|
| id | Project id | UUID |
| name | Project name | String |
| createdAt | Date-time of project creation | Instant |
| modifiedAt | Date-time of project modification | Instant |
| modifiedBy | User who modified the project | String |
| description | Project description | String |
| bookmarked | Indicator if this is a favorite project | Boolean |
| additionalInfo | Container - see below | ProjectAdditionalInfo |
| version | Project version number | Integer |
| versions | Container - see below | Map |
| deploymentImage | If project is deployed, the no-code docker image of the project; otherwise null | String |
| technology | Set of options currently supported in OL Hub project: HTTP, IBM_MQ, KAFKA, DB_POLLER, CORBA, SFTP, ACTIVE_MQ, SOAP, REVERSE | ApiEnrichmentType |
| configurations | Container - see below | Set |
ProjectAdditionalInfo:
| Field name | Description | Format |
|---|---|---|
| numofModules | Number of modules in project | Integer |
| numofAssets | Number of assets in project | Integer |
| numofMethods | Number of methods in project | Integer |
| contractName | Contract name | String |
| contractID | Contract identifier | UUID |
Map:
| Field name | Description | Format |
|---|---|---|
| version | Project version number | Integer |
| ProjectVersionDto | Container - see below | ProjectVersion |
ProjectVersion:
| Field name | Description | Format |
|---|---|---|
| projectId | Project id | UUID |
| version | Project version number | Integer |
| reason | Reason for project version | String |
| versionedBy | User who versioned the project | String |
| versionedAt | Date-time of project version | Instant |

